from Menu import Menu
from Utils import Utils

##
# @mainpage Projet Open Quiz
# Cette application à pour objectif de définir une version minimaliste du projet OpenQuiz
#
# @section intro_sec Fonctionnalités
# 1. Choisir un auteur parmi trois choix
# 2. Un menu proposant diverses options est affiché
#   - 0 : Importer un contenu
#   - 1 : Consulter le panier
#   - 2 : Aller à la banque de contenu
#   - 3 : Revenir au menu
#   - 4 : Supprimer un contenu
#   - 5 : Créer une évaluation
#   - 6 : Consulter les évaluations
#   - 7 : Modifier un contenu
#   - 8 : Naviguer dans un contenu (a venir)
#   - 9 : Rechercher un contenu dans la banque (a venir)\n
#   - 10 : Consulter les contenus en cours de modification\n
#   - 11 : Gérer les demandes de publication\n
#   - 12 : Mises à jour de favoris\n

#   <b> (Il manquera les fonctionnalités à propos des tags libres "privés", la notation contenu / auteur, la gestion de la "popularité" des versions) </b>\n
#   \n
#   0 -> Ouvre un menu permettant l'import d'un fichier (deux choix sont disponibles) \n
#   1 -> Permet de consulter les contenus importées & celles mises en favori \n
#   2 -> Permet de consulter les contenus d'auteurs tiers & de les mettre en favori \n
#   3 -> Retourne sur le choix de l'auteur \n
#   4 -> "Renier la paternité" d'une question \n
#   5 -> Créer un regroupement de contenus \n
#   6 -> Consulter les évaluations crééees \n
#   7 -> Permet de modifier un des fichiers importé OU un des favoris \n
#   8 -> Permet de sélectionner un contenu et une version particulière. Sera intégré, à terme, dans le panier
#   9 -> Recherche par auteur, date, tag (imposés / libres), contenu / titre, note \n
#   10 -> Par la suite, les contenus "en cours" seront disponibles dans le panier\n
#   11 -> Demandes de publication recues et émises
#   12 -> Sera intégré, à terme, dans le panier


#

Menu()

from datetime import datetime
'''
Utils.initialiseMongo()
Utils.toutPeter()
Utils.statdb.demandesPub.insert_one(
    {"id": 1, "date": datetime.now().strftime("%d/%m/%y"), "auteurDemande": "Auteur 1",
     "auteurContenu": "Auteur 2",
     "idContenu": 1, "idContenuEnCours": 1, "etat": "enCours"})
# Utils.statdb.demandesPub.update_one({"id": 1}, {"$set": {"etat": "refus"}})
print(Utils.statdb.demandesPub.find_one({"id": 1}))
#Utils.statdb.demandesPub.update_one({"id": 1}, {"$set": {"etat": "refus"}})
Utils.statdb.demandesPub.delete_one({"id": 1})
'''

